{% import "macro/form.twig" as form %}
<div
	class="container-fluid">
	{# <a href="/exam/add" class='btn btn-primary fr'>Add Question Paper</a> #}
	<h2>Evaluation</h2>
	<hr>
	<div class="row">
		<div class="form-group col-md-12 form-group">
			<form method="post">
				<table class='table tbl-responsive'>
					<tr>
						<th>Course</th>
						<th>Title</th>
						<th>Type</th>
						<th>Total Attempts</th>
						<th>Evaluated</th>
						<th>Pending</th>
						<th></th>
					</tr>
					{% for exam in exams %}
						<tr class="width-th1">
							<th>
								{{subject[exam.subject]['name']}}
							</th>
							<td>
								{{exam.title}}
							</td>
							<td>
								{{exam.type}}
							</td>
							<td>{{exam.attempts}}</td>
							<td>{{exam.evaluated}}</td>
							<td>{{exam.pending}}</td>
							<td style='display:none'>{{exam.sections}}</td>
								<td><a href="#" onclick='popup.assign(this.parentElement.parentElement)'>Dispatch</a></td>
							<td>
							<a href="/evaluate/{{exam.subject}}/{{exam.type}}/{{exam.category}}/{{exam.title}}">Open</a>
							</td>
						</tr>
					{% endfor %}
				</table>
			</form>
		</div>
	</div>
</div>
<pre>
	{{ dump(teacher) }}
</pre>
<div class="popup" frm='assign'>
	<i onclick="popup.close()" class='fa fa-times'></i>
	<h3 data="heading"></h3>
	<form method="POST">
		{{form.hidden("subject","")}}
		{{form.hidden("type","")}}
		{{form.hidden("title","")}}
		<div class="form-group">
			<label for="">Teacher</label>
			<select name="teacher" class="form-control">
				{% for teacher in teachers %}

					<option value="{{teacher.user}}">{{teacher.user}}</option>
				{% endfor %}
			</select>
		</div>
		<div class="form-group"><label for="">Number of answer Scripts</label>
		<input type="number" class="form-control" name=copies ></div>
			<legand class="h3"></legand>
				<div class="form-group">
					<label for="">Sections</label>
					<div class="sections"></div>
				</div>
		
		<button class="btn btn-primary fr" type=submit >Ok</button>
		{{form.hidden("action","assign-scripts")}}
	</form>
</div>

<script>
	var popup = {
close: function () {
document.querySelectorAll(".popup").forEach(function (elm) {
elm.style = "";
console.log(elm);
});
},
assign: function (e) {
let exminp = e.querySelectorAll("td");
var inputs={
	subject:e.querySelector("th").innerHTML.trim(),
	title:exminp[0].innerHTML.trim(),
	type:exminp[1].innerHTML.trim(),
	scripts:exminp[4].innerHTML.trim(),
	sections:JSON.parse(exminp[5].innerHTML.trim())
};
frm=document.querySelector("[frm=assign]");
frm.querySelector("[name=subject]").value=inputs.subject;
frm.querySelector("[name=title]").value=inputs.title;
frm.querySelector("[name=type]").value=inputs.type;
frm.querySelector("[name=copies]").value=inputs.scripts;
document.querySelector("[frm=assign]").style = "display:block";
let i=1;
inputs.sections.forEach(function(val){
elm=document.createElement("input");
elm.setAttribute("type","checkbox");
elm.setAttribute("checked",true);
elm.setAttribute("value",val);
elm.setAttribute("name","section"+i);
lbl=document.createElement("label");
lbl.innerHTML=val;
frm.querySelector(".sections").append(elm);
frm.querySelector(".sections").append(lbl);
i++;
})
}
}
</script>
